package vn.azteam.tpf.service.mapper;

import vn.azteam.tpf.domain.*;
import vn.azteam.tpf.service.dto.TBEntityTypeDTO;

import org.mapstruct.*;

/**
 * Mapper for the entity TBEntityType and its DTO TBEntityTypeDTO.
 */
@Mapper(componentModel = "spring", uses = {})
public interface TBEntityTypeMapper extends EntityMapper<TBEntityTypeDTO, TBEntityType> {



    default TBEntityType fromId(Long id) {
        if (id == null) {
            return null;
        }
        TBEntityType tBEntityType = new TBEntityType();
        tBEntityType.setId(id);
        return tBEntityType;
    }
}
